#include <WiFi.h>
#include <WebServer.h>
#include <DNSServer.h>
#include <WiFiManager.h>
#include <HTTPClient.h>

String IpAddress2String(const IPAddress& ipAddress)
{
    return String(ipAddress[0]) + String(".") +
           String(ipAddress[1]) + String(".") +
           String(ipAddress[2]) + String(".") +
           String(ipAddress[3]);
}

void AtivarWifi()
{
  AtivarDisplay();
  LimparDisplay();
  EscreverDisplay(0,0,1,"ACCESS POINT ATIVO");
  WiFiManager wifiManager;
  wifiManager.setConfigPortalTimeout(240);
  EscreverDisplay(0,10,1,"REDE : DARWIN");
  EscreverDisplay(0,20,1,"SENHA: 12345678");

  EscreverDisplay(0,35,1,"Acesse a DARWIN pelo seu celular, e configure a rede Wifi");
  if (!wifiManager.autoConnect("DARWIN", "12345678")) 
  {
    LimparDisplay();
    EscreverDisplay(0,0,1,"Falha ao configurar a Rede wifi");
    delay(3000);
    ESP.restart();
    delay(5000);
  }

  //Mensagem caso conexao Ok
  LimparDisplay();
  EscreverDisplay(0,0,1,"CONECTADO NO WIFI");
  EscreverDisplay(0,10,1,"IP:");
  

  EscreverDisplay(0,20,1,IpAddress2String(WiFi.localIP()));

}
